- name: Testplaybook
  hosts: localhost
  vars:
    configfile: myapp/myapp.conf
    numberofbackups: 20
  connection: local
  tasks:
  - name: just create the directory and the first configfile
    shell:
      cmd: "mkdir $(dirname {{configfile}}); touch {{configfile}}"
  - name: make backup file
    shell:
      cmd: "cp {{configfile}} {{configfile}}.{{ansible_date_time.iso8601_basic_short}}"
  - lineinfile: 
      path: "{{configfile}}"
      line: debuglevel=100
    register: lineinfileoutput
  - debug: 
      msg: "{{lineinfileoutput}}"
  - copy:
      dest: "{{configfile}}"
      content: |
               debuglevel=0
               warning=true
               host=10.2.3.4
    register: copyoutput
  - debug: 
      msg: "{{copyoutput}}"
  - name: get the list of files ordered by timestamp
    shell:
      cmd: "ls -1t {{configfile}}.*"
    check_mode: no
    ignore_errors: true
    register: lsoutput
  - debug:
      msg: "{{lsoutput}}"
  - name: remove files all files except the last {{numberofbackups}} 
    file:
      path: "{{item}}"
      state: absent
    loop: "{{lsoutput.stdout_lines[numberofbackups:]}}"
    register: removeoutput
      
